Unable to scroll to another time in video: "TypeError: embedPlayer.pc is undefined" in mw.PlayerControlBuilder.js:2618
Closed, ResolvedPublic

Description

  1. Go to https://commons.wikimedia.org/wiki/File:Préparer_un_document_Web_à_l’accessibilité.webm
  2. Play the video
  3. Press at another time to try and scroll to another time
  4. Get the following error (and it will not move to the selected time in the video)
Error:
https://commons.wikimedia.org/wiki/File:Pr%C3%A9parer_un_document_Web_%C3%A0_l%E2%80%99accessibilit%C3%A9.webm at line 171: TypeError: undefined is not an object (evaluating 'embedPlayer.pc.pp')
Josve05a created this task.Mar 4 2018, 9:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2018, 9:14 PM
Josve05a renamed this task from TypeError: undefined is not an object (evaluating 'embedPlayer.pc.pp') when trying to scroll to another time in video to Tunable to scroll to another time in video.Mar 4 2018, 9:15 PM
Josve05a renamed this task from Tunable to scroll to another time in video to Unable to scroll to another time in video.
Aklapper renamed this task from Unable to scroll to another time in video to Unable to scroll to another time in video: "TypeError: embedPlayer.pc is undefined" in mw.PlayerControlBuilder.js:2618.Mar 4 2018, 9:35 PM

Thanks for finding that. I get TypeError: embedPlayer.pc is undefined when using debug=true and this stacktrace:

start https://commons.wikimedia.org/w/extensions/TimedMediaHandler/MwEmbedModules/EmbedPlayer/resources/skins/mw.PlayerControlBuilder.js:2618:13
_trigger https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js:480:4
_start https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.slider.js:353:10
$.widget/</prototype[prop]</< https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js:90:20
_mouseCapture https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.slider.js:251:13
$.widget/</prototype[prop]</< https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js:90:20
_mouseDown https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.mouse.js:71:36
$.widget/</prototype[prop]</< https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js:90:20
_mouseInit/< https://commons.wikimedia.org/w/resources/lib/jquery.ui/jquery.ui.mouse.js:33:12
dispatch https://commons.wikimedia.org/w/load.php:5205:16
add/elemData.handle https://commons.wikimedia.org/w/load.php:5014:6
Josve05a moved this task from Backlog to Tasks to follow on the User-Josve05a board.
TheDJ added a subscriber: TheDJ.

This is due to https://gerrit.wikimedia.org/r/#/c/410132/

The original code was likely incorrect and !== null should probably be !== undefined

I suspect this might be a kaltura specific thing, so maybe we just remove the if/then/else ?

TheDJ added a subscriber: Esanders.Mar 27 2018, 1:13 PM

Change 422942 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] Fix TypeError in TMH video player

https://gerrit.wikimedia.org/r/422942

Change 422942 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix TypeError in TMH video player

https://gerrit.wikimedia.org/r/422942

TheDJ closed this task as Resolved.Apr 19 2018, 2:07 PM
TheDJ claimed this task.